import type { IPFS } from "ipfs-core";
export declare class PubSub<TMessage = any> {
    key: string;
    private ipfs;
    constructor(key: string, ipfs: IPFS);
    private encode;
    private decode;
    private getTopic;
    publish(key: string | undefined, data: TMessage): Promise<void>;
    subscribe(key: string | undefined, listener: (data: TMessage, from: string) => void): Promise<void>;
    unsubscribe(key?: string): Promise<void>;
}
