/// <reference types="node" />
import type { IPFS } from "ipfs-core";
export interface BaseShard {
    kind: string;
    cid: string;
    extensions: {
        signature: string;
        [key: string]: any;
    };
    timestamp: number;
}
export interface RawShard extends BaseShard {
    kind: "raw";
}
export interface DocumentShard extends BaseShard {
    kind: "document";
}
export declare type Shard = RawShard | DocumentShard;
export declare type Data = Record<string, any> | Buffer;
export declare const addShard: (ipfs: IPFS, data: Data, extensions: Shard['extensions']) => Promise<Shard>;
