"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.addShard = void 0;
const tslib_1 = require("tslib");
const buffer_1 = require("buffer");
const addShard = (ipfs, data, extensions) => (0, tslib_1.__awaiter)(void 0, void 0, void 0, function* () {
    let kind = 'raw';
    let cid;
    if (!buffer_1.Buffer.isBuffer(data)) {
        kind = 'document';
        cid = yield ipfs.dag.put(data, { pin: true, preload: true });
    }
    else {
        const file = yield ipfs.add(data, { preload: true });
        cid = file.cid;
    }
    return {
        kind,
        cid: cid.toString(),
        extensions,
        timestamp: new Date().getTime()
    };
});
exports.addShard = addShard;
//# sourceMappingURL=shard.js.map